Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 309653 - gentoolkit-0.3.0_rc9 fails to apply gentoolkit-0.3.0_rc7-revdep-prefix.patch
Summary: gentoolkit-0.3.0_rc9 fails to apply gentoolkit-0.3.0_rc7-revdep-prefix.patch
Status: VERIFIED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-15 21:36 UTC by Sven Schwyn (svoop)
Modified: 2010-03-16 16:46 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Schwyn (svoop) 2010-03-15 21:36:29 UTC
>>> Preparing source in /Gentoo/var/tmp/portage/app-portage/gentoolkit-0.3.0_rc9/work/gentoolkit-0.3.0_rc9 ...
 * Applying gentoolkit-0.3.0_rc7-revdep-prefix.patch ...

 * Failed Patch: gentoolkit-0.3.0_rc7-revdep-prefix.patch !
 *  ( /Gentoo/usr/portage/app-portage/gentoolkit/files/gentoolkit-0.3.0_rc7-revdep-prefix.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /Gentoo/var/tmp/portage/app-portage/gentoolkit-0.3.0_rc9/temp/gentoolkit-0.3.0_rc7-revdep-prefix.patch.out

 * ERROR: app-portage/gentoolkit-0.3.0_rc9 failed:
 *   Failed Patch: gentoolkit-0.3.0_rc7-revdep-prefix.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called call-ebuildshell 'src_prepare'
 *   environment, line  654:  Called src_prepare
 *   environment, line 4352:  Called epatch '/Gentoo/usr/portage/app-portage/gentoolkit/files/gentoolkit-0.3.0_rc7-revdep-prefix.patch'
 *   environment, line 1818:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 


Reproducible: Always




***** gentoolkit-0.3.0_rc7-revdep-prefix.patch *****

NOTE: skipping -p0 due to absolute paths in patch:
1:--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.HIVIn3acKS	2009-09-05 07:36:05 -0400
9:--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.JJY8h9joFj	2009-09-05 07:36:57 -0400
====================================================

PATCH COMMAND:  patch -p1 -g0 -E --no-backup-if-mismatch < '/Gentoo/usr/portage/app-portage/gentoolkit/files/gentoolkit-0.3.0_rc7-revdep-prefix.patch'

====================================================
patching file bin/revdep-rebuild
Hunk #1 FAILED at 1.
1 out of 1 hunk FAILED -- saving rejects to file bin/revdep-rebuild.rej
patching file data/revdep-rebuild/99revdep-rebuild
====================================================

PATCH COMMAND:  patch -p2 -g0 -E --no-backup-if-mismatch < '/Gentoo/usr/portage/app-portage/gentoolkit/files/gentoolkit-0.3.0_rc7-revdep-prefix.patch'

====================================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.HIVIn3acKS	2009-09-05 07:36:05 -0400
|+++ a/bin/revdep-rebuild	2009-09-05 07:36:19 -0400
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 11
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.JJY8h9joFj	2009-09-05 07:36:57 -0400
|+++ a/data/revdep-rebuild/99revdep-rebuild	2009-09-05 07:37:24 -0400
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
====================================================

PATCH COMMAND:  patch -p3 -g0 -E --no-backup-if-mismatch < '/Gentoo/usr/portage/app-portage/gentoolkit/files/gentoolkit-0.3.0_rc7-revdep-prefix.patch'

====================================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.HIVIn3acKS	2009-09-05 07:36:05 -0400
|+++ a/bin/revdep-rebuild	2009-09-05 07:36:19 -0400
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 11
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.JJY8h9joFj	2009-09-05 07:36:57 -0400
|+++ a/data/revdep-rebuild/99revdep-rebuild	2009-09-05 07:37:24 -0400
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
====================================================

PATCH COMMAND:  patch -p4 -g0 -E --no-backup-if-mismatch < '/Gentoo/usr/portage/app-portage/gentoolkit/files/gentoolkit-0.3.0_rc7-revdep-prefix.patch'

====================================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.HIVIn3acKS	2009-09-05 07:36:05 -0400
|+++ a/bin/revdep-rebuild	2009-09-05 07:36:19 -0400
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
can't find file to patch at input line 11
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- /var/folders/Pd/Pdnfrt7lFNuAynJB73STUk+++TI/-Tmp-/tmp.JJY8h9joFj	2009-09-05 07:36:57 -0400
|+++ a/data/revdep-rebuild/99revdep-rebuild	2009-09-05 07:37:24 -0400
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
Comment 1 Dan Wallis 2010-03-16 01:18:29 UTC
Same problem here. Host is Debian Linux (lenny).
Comment 2 Reinis Danne 2010-03-16 15:18:20 UTC
Same here on Slackware host.
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-03-16 15:40:07 UTC
new patch committed for rc9
Comment 4 Sven Schwyn (svoop) 2010-03-16 16:46:51 UTC
Great, the new patch works fine, thanks!!